org.apache.cassandra.streaming

## Interface StreamHook

-     public interface StreamHook

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StreamHook` | `instance`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamHook` | `createHook()`
    `void` | `reportIncomingFile(ColumnFamilyStore cfs, SSTableMultiWriter writer, StreamSession session, int sequenceNumber)`
    `OutgoingFileMessage` | `reportOutgoingFile(StreamSession session, SSTableReader sstable, OutgoingFileMessage message)`
    `void` | `reportStreamFuture(StreamSession session, StreamResultFuture future)`

- - ### Field Detail

    - #### instance

          static final StreamHook instance

  - ### Method Detail

    - #### reportOutgoingFile

          OutgoingFileMessage reportOutgoingFile(StreamSession session,
                                                 SSTableReader sstable,
                                                 OutgoingFileMessage message)

    - #### reportStreamFuture

          void reportStreamFuture(StreamSession session,
                                  StreamResultFuture future)

    - #### reportIncomingFile

          void reportIncomingFile(ColumnFamilyStore cfs,
                                  SSTableMultiWriter writer,
                                  StreamSession session,
                                  int sequenceNumber)

    - #### createHook

          static StreamHook createHook()

Copyright © 2018 The Apache Software Foundation